Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CancelSpotInstanceRequestsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.CancelSpotInstanceRequestsResult

    public class CancelSpotInstanceRequestsResult

extends Object

Constructor Summary
`CancelSpotInstanceRequestsResult()`

Method Summary
`List<CancelledSpotInstanceRequest>` | `getCancelledSpotInstanceRequests()`
`void` | `setCancelledSpotInstanceRequests(Collection<CancelledSpotInstanceRequest> cancelledSpotInstanceRequests)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CancelSpotInstanceRequestsResult` | `withCancelledSpotInstanceRequests(CancelledSpotInstanceRequest... cancelledSpotInstanceRequests)` Returns a reference to this object so that method calls can be chained together.
`CancelSpotInstanceRequestsResult` | `withCancelledSpotInstanceRequests(Collection<CancelledSpotInstanceRequest> cancelledSpotInstanceRequests)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CancelSpotInstanceRequestsResult

    public CancelSpotInstanceRequestsResult()

Method Detail

### getCancelledSpotInstanceRequests

    public List<CancelledSpotInstanceRequest> getCancelledSpotInstanceRequests()

  Returns:

### setCancelledSpotInstanceRequests

    public void setCancelledSpotInstanceRequests(Collection<CancelledSpotInstanceRequest> cancelledSpotInstanceRequests)

  Parameters:
    `cancelledSpotInstanceRequests` -

### withCancelledSpotInstanceRequests

    public CancelSpotInstanceRequestsResult withCancelledSpotInstanceRequests(CancelledSpotInstanceRequest... cancelledSpotInstanceRequests)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cancelledSpotInstanceRequests` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withCancelledSpotInstanceRequests

    public CancelSpotInstanceRequestsResult withCancelledSpotInstanceRequests(Collection<CancelledSpotInstanceRequest> cancelledSpotInstanceRequests)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cancelledSpotInstanceRequests` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.